groups:
  - name: collector_health
    interval: 60s
    rules:
      - alert: CollectorSilentFailure
        expr: >
          exporter_collector_up == 1
          and rate(exporter_collector_errors_total[5m]) > 0
        for: 5m
        labels:
          severity: medium
        annotations:
          summary: "Collector {{ $labels.collector }} reporting silent sub-method failures"
          description: >
            Collector '{{ $labels.collector }}' is marked as up (exporter_collector_up == 1)
            but has been recording sub-method errors at a non-zero rate for more than 5 minutes.
            This indicates silent partial failures — the collector is running but some data
            collection steps are failing internally. Check the exporter logs for warnings
            tagged with collector '{{ $labels.collector }}' to identify which sub-methods
            are failing.
